Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main.ausgabe
Class FehlerAusgabe

    java.lang.Object
      |
      +--main.ausgabe.FehlerAusgabe

public class FehlerAusgabe
extends java.lang.Object

Klasse, die zur Verarbeitung und Ausgabe von Fehlern dient. Dabei bekommt die Klasse ein Objekt des Typs Exception übergeben, welches dann genauer untersucht wird und eine hier definierte Ausgabe auf Datei bzw. im Debugmodus auch auf dem Bildschirm ausgegeben wird. Folgende Exceptions werden untersucht:

UnexpectedCharacterException
  Zeilenlänge überschritten
UnexpectedLineException
  Es treten noch Zeichen am Zeilenende auf
UnknownCharacterException
  Es ist ein unbekanntes Zeichen in der Eingabe aufgetreten
TooFewCharactersException
  Es sind zuwenig Zeichen in der Zeile angegeben
TooFewSperrfelderException
  Es sind zuwenig Sperrfelder angegeben
WrongDimensionException
  Falsche Dimensionsangaben für Matrix
OutOfMatrixException
  Punkt außerhalb der Matrix
IsStartpunktException
  Sperrfeld soll auf Startpunkt gesetzt werden
IsSperrfeldException
  Doppelte Definition eines Sperrfelds
NoWayFoundException
  Die Rekursion war nicht erfolgreich
FileNotFoundException
  Eingabedatei wurde nicht gefunden
OutputFileExistsException
  Ausgabedatei existiert bereits (ohne -overwrite)
WrongParameterException
  Falsche Eingabe der Programmparameter
IOException
  Fehler bei der Ausgabe
Exception
  Der Defaultfall, der unerwartete Fehler auffängt

Version:
  $Revision: 1.7 $
Author:
  Simon Tiffert

Field Summary
`(package private) java.io.BufferedWriter` | `bw` BufferedWriter der Ausgabedatei
`(package private) java.lang.String` | `eingabeDateiName` Name der Eingabedatei, um diese im Fehlerfall mit auszugeben
`(package private) java.lang.Exception` | `exception` Exception, die genauer untersucht wird

Constructor Summary
`FehlerAusgabe(java.io.BufferedWriter bw, java.lang.Exception exception, java.lang.String dateiName)` Der Konstruktor sorgt dafür, dass der Fehler verarbeitet wird und das Attribut eingabeDateiName gesetzt wird.

Method Summary
`private static void` | `hilfeAusgabe()` Diese Funktion erzeugt die Hilfeausgabe, die angezeigt wird, wenn das Programm falsch aufgerufen wurde oder wenn der Parameter -h eingegeben wurde.
`private void` | `printError()` Diese Funktion dient der Auswertung von Fehlern, die im Programmablauf passieren können.
`private void` | `schreibeFehler(java.lang.String s)` Diese Funktion schreibt den gefundenen Fehler in die Ausgabedatei und fängt einen eventuellen Fehler ab.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eingabeDateiName

    java.lang.String eingabeDateiName

  Name der Eingabedatei, um diese im Fehlerfall mit auszugeben

### bw

    java.io.BufferedWriter bw

  BufferedWriter der Ausgabedatei

### exception

    java.lang.Exception exception

  Exception, die genauer untersucht wird

Constructor Detail

### FehlerAusgabe

    public FehlerAusgabe(java.io.BufferedWriter bw,
                         java.lang.Exception exception,
                         java.lang.String dateiName)

  Der Konstruktor sorgt dafür, dass der Fehler verarbeitet wird und das Attribut eingabeDateiName gesetzt wird.

Parameters:
  `bw` - BufferedWriter der Ausgabedatei
  `exception` - Exception, die genauer untersucht wird
  `dateiName` - Name der Eingabedatei

Method Detail

### printError

    private void printError()

  Diese Funktion dient der Auswertung von Fehlern, die im Programmablauf passieren können. Dabei wird eine Unterteilung in Fehlerklassen vorgenommen.

### schreibeFehler

    private void schreibeFehler(java.lang.String s)

  Diese Funktion schreibt den gefundenen Fehler in die Ausgabedatei und fängt einen eventuellen Fehler ab. Zudem ist hier noch eine Debugausgabe implementiert, die den Fehler zusätzlich noch auf dem Bildschirm ausgibt

  Parameters:
    `s` - Der Text der in die Ausgabedatei geschrieben wird

### hilfeAusgabe

    private static void hilfeAusgabe()

  Diese Funktion erzeugt die Hilfeausgabe, die angezeigt wird, wenn das Programm falsch aufgerufen wurde oder wenn der Parameter -h eingegeben wurde.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD